Package and Deployment Wizard

The Package and Deployment Wizard is a tool that helps you create installation packages for your Visual Basic applications and install them to your end-users' computers. You can also use the Package and Deployment Wizard to create dependency (.dep) files.

Note You must have a saved and compiled project before you can run this wizard.

The Package and Deployment Wizard provides a number of options for distributing your application, including the creation of:

  • Standard packages, designed to be installed by a setup.exe program.

  • Internet packages, designed to be downloaded from a Web site.

  • Dependency files that can be distributed with your components.

The wizard packages your application components into compressed cabinet (.cab) files. You can create a single .cab, or multiple .cab files that can be copied onto floppy disks. In addition, you can save your settings as you work in the wizard as scripts that you can reuse if you need to package or deploy the same application again.

You can start the Package and Deployment Wizard as an add-in, or as a stand-alone application. To start it as an add-in, load the wizard using the Add-In Manager dialog box, then run it by clicking on the menu item on the Add-Ins menu. To start it as a stand-alone component, click the Package and Deployment Wizard icon from the Microsoft Visual Basic 6.0 group on the Start menu.

Note The Package and Deployment Wizard is not a disk duplication tool. If you want to make copies of your master distribution disks, use a disk copying application.

Options

Active Project

Displays the name and path of the active project. Applicable only when running the wizard as an add-in.

Selected Project

Displays the name and path of the selected project and lists past projects. You may type in the name and path of a project or choose a project from the list. Applicable only when running the wizard as a stand-alone component.

Browse

Displays a dialog box you can use to browse to a project. Applicable only when running the wizard as a stand-alone component.

Package

Takes you to the first step in packaging your project. When you are finished packaging your application, you can return to the main screen and deploy your package.

Deploy

Takes you to the first step in deploying your package. You can use this part of the wizard if you have a packaged project that you want to distribute to floppy disks, to a network or local folder location, or over the Internet.

Manage Scripts

Displays the Manage Scripts dialog box where you can rename, duplicate, or delete packaging and deployment scripts.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.


Missing Dependency Information Dialog Box

Missing Dependency Information Dialog Box (Package and Deployment Wizard)

The Package and Deployment Wizard is unable to find dependency information for the files displayed in the list. The wizard looks for dependency information in special dependency (.dep) files and in the vb6dep.ini file. Dependency information in the form of a .dep file or a section in vb6dep.ini should exist for each .exe, .ocx, and .dll file in your package.

You can resolve missing dependencies in three ways:

  • If a file comes from a third party, contact that party for dependency information or for the necessary dependency files.

  • If one of the files in the list is a project you created in Visual Basic, you can use the Package and Deployment Wizard to create a dependency file for it. Restart the wizard, select the project file for the component, and choose the Dependency File option on the Package Type screen. Continue through all the steps to create the missing dependency file. Place this file in the same folder as the .exe, .ocx, or .dll that it describes. Then, restart the Package and Deployment Wizard and try packaging the current project again.

  • If you are certain that a file in the list does not require any support files, select the check box that appears to the left of it. This lets the wizard know that this file has no dependencies, and prevents the file from appearing in this dialog in the future.

Options

Files List

Lists the name and the location of each file for which the wizard cannot locate dependency information.

Click the box to the left of the file name to indicate that the file has no dependencies.

When you move the mouse cursor over an entry in this list, a tooltip appears, listing the files for which the given file is needed or stating that the given file was manually added to the list.

OK

Tells the Package and Deployment Wizard to proceed without the dependency information for the listed files.

Cancel

Closes the dialog box and returns you to the appropriate screen. Choose this option if you want to exit the wizard and create a dependency file for the necessary component, then re-run the packaging process for this project.

Help

Displays the help topic for this step. You can also press F1 for help.


Package and Deployment Wizard -- Finished!

Package and Deployment Wizard — Finished!

The Package and Deployment Wizard has collected the information necessary to begin building your package. When you click Finish, the Package and Deployment Wizard saves the settings you chose as a script. Scripts serve three purposes:

  • A script allows you to package the project again later, using the same settings.

  • A script provides a way of identifying a package for deployment purposes. When you begin the deployment portion of the wizard, the first step will ask you to select a package to deploy. Packages are referred to by the script name they were given in the packaging process.

  • A script allows you to package your project in silent mode. When you run the wizard in silent mode, you must give the wizard the name of a script that it should use.

For these reasons, you should give useful, descriptive names to your scripts.

Options

Script Name

Allows you to type the name with which you want to save the settings you chose. You can then reuse the settings the next time you package the same project. When you deploy the package, you can identify it by this name.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Disabled in this step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process.


INF File

Contains instructions for installing the ActiveX components on the user's machine. The .inf file contains:

  • A list of all file dependencies needed for Internet download setup.

  • A list of linked .cab files and their locations.

  • Version information.

  • Class IDs for components.

  • Platform specific information.

  • Destination directory specifics.

  • Registry information, including Safe for Initialization and Scripting entries.


Macros for Installing Files

The Package and Deployment Wizard uses macros to indicate the location at which your packaged files should be installed.

Note The macro you choose is usually used in the DefaultDir value in Setup.lst, and should not be used elsewhere. $(AppPath) or subdirectories of $(AppPath) should be the typical installation destination for application files, because this allows the user to change the installation location.

Macro | Installs into the
$(WinSysPath) | \Windows\System subdirectory under Windows 95 or the \Winnt\System32 directory under Windows NT.
$(WinSysPathSysFile) | \Windows\System subdirectory under Windows 95 or the \Winnt\System32 directory under Windows NT as a system file and is not removed when the application is removed.
$(WinPath) | \Windows under Windows 95 or \Winnt under Window NT.
$(AppPath) | Application directory specified by the user, or the DefaultDir value specified in the [SETUP] section of Setup.lst.
$(AppPath)\Samples | \Samples subdirectory below the application directory.
path (e.g., C:\) | Directory identified by path. Not recommended.
$(ProgramFiles) | Directory to which applications are usually installed: C:\Program Files
$(CommonFiles) | Common directory to which shared files are sometimes installed: C:\Program Files\Common Files
$(CommonFiles)\Subdirectory | C:\Program Files\Common Files\subdirectory For example: $(CommonFiles)\My Company\My Application
$(MSDAOPath) | Location that is stored in the registry for Data Access Objects (DAO) components. You should not use this for your files.


Missing Files Dialog Box

Missing Files Dialog Box (Package and Deployment Wizard)

Lists files that are needed for your package but which the Package and Deployment Wizard was unable to locate. Such files may be needed by your project or needed by another file in the package.

Options

Missing Files List

Lists the files that the Package and Deployment Wizard cannot find.

When you move the mouse cursor over an entry in this list, a tooltip appears, listing the files for which the given file is needed.

Browse

Displays the Locate dialog box where you can search for your file.

OK

Allows you to proceed without the files that are missing.

Cancel

Closes the dialog box and returns you to the appropriate screen. Choose this option if you want to exit the wizard and investigate the problem, then re-run the packaging process for this project.

Help

Displays the help topic for this step. You can also press F1 for help.


New Item Dialog Box (Package and Deployment Wizard)

<Program Group Item> Dialog Box (Package and Deployment Wizard)

Allows you to edit information about the selected Start menu item, or add a new item.

Options

Name

Specifies the name of the Start menu item to be created in the indicated group.

Target

Displays the file pointed to by the program group item.

Note If the specified file takes command-line parameters, you can type them as well. For example, to run Notepad and open myfile.dat, you could type Notepad.exe myfile.dat in the Target field.

Start In

Specifies the folder that contains the original item or some related files. Sometimes, programs need to use files from other locations. You may need to specify the folder where these files are located so that the program can find them. Select a macro from this field to indicate the folder to start in.

Note In some cases you may add a subdirectory to the macro listed, such as $(Program Files)\MyFolder. In addition, you can type a literal path, such as c:\MyFolder, however this is not recommended because such a path may not be valid on the end-user’s computer.

Run

Specifies how the item will be displayed when the user selects it: in a standard window, in a full screen (maximized), or as a button on the taskbar (minimized).

Choose Target

Allows you to choose from a list of possible target files to which the item will point. This list displays the files in your package.

OK

Closes the dialog box and saves any changes you have made.

Cancel

Closes the dialog box without saving changes.

Help

Displays the help topic for this step. You can also press F1 for help.


Package and Deployment Wizard -- Package to Deploy

Package and Deployment Wizard — Package to Deploy

Allows you to choose the package you want to deploy.

This screen will not be displayed if there is only one package that can be deployed for the current project.

Options

Package

Displays a list of packages from which you can choose the one you want to deploy. Each package is identified by the name of the corresponding packaging script. Only packages for the current project are shown.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the deployment portion of the Package and Deployment Wizard.

Back

Moves you to the previous step. Available only if there are previously saved deployment scripts for the current project.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.

Note If you chose to deploy a different package from that specified in the script, the Finish button is unavailable because the new package will require deployment information not stored in the script.


Package and Deployment Wizard -- Included Files

Package and Deployment Wizard — Included Files

Displays a list of the files that will be included in the package and allows you to add additional files to the package or to remove unwanted files.

Options

Included Files List

Displays the name and current location of each file that will be included in the package. The main project executable file is initially selected.

To remove files, clear the checkbox to the left of the file name. If you remove a file with dependencies, all of its dependency files are also removed. (Removed files remain listed. If you have removed a file mistakenly, check its check box.)

When you move the mouse cursor over an entry in this list, a tooltip appears, listing the files for which the given file is needed or stating that the given file was manually added to the list.

Add

Displays the Add File dialog box where you can locate and choose a file to add to your package. The Add File dialog box is a standard Windows dialog box. When you add a file, the wizard searches for dependencies of the file and adds them as well.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- Start Menu Items

Package and Deployment Wizard — Start Menu Items

Allows you to specify the start menu groups and group items that should be created on the end-user's computer during installation of your application. You can create groups and items for your application in one of two locations: on the main level of the Start menu, or within the Programs subdirectory of the Start menu.

In addition to creating new Start menu groups and items, you can edit the properties for an existing item, or you can remove groups and items.

Options

Start Menu Tree

By default, the start menu treeview shows two directories: the Start Menu directory, and the Programs subdirectory. Use the buttons to add groups and/or items to either of these two levels. If you add a group or item to the Start Menu directory, it will appear on the main menu that appears when you press Start in Windows. If you add a group or item to the Programs subdirectory, it will appear when you press Start and then move the mouse to the Programs group.

New Group

Adds a new group to the start menu tree at the indicated location. Select either the Start Menu folder or the Programs folder, then click this button. A new group appears in the tree, and you can type a new name for it.

New Item

Displays the New Item dialog box, in which you can add a shortcut to the selected group. The item should, in most cases, correspond to an executable or help file for your application.

Properties

Displays the Properties dialog box where you can edit the current information for the selected group or item.

Delete

Deletes the selected group or item.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- DAO Drivers

Package and Deployment Wizard — DAO Drivers

The Package and Deployment Wizard has determined that you are using Data Access Objects (DAO) and lets you select the driver(s) required by your application.

Note When you add a data control to a form or other object in your project, Visual Basic adds a reference to Data Access Objects (DAO). If you later remove the data control, Visual Basic does not remove the reference to DAO. The Package and Deployment Wizard recognizes the reference whether or not you use data controls in your application. If your project used to contain data controls but no longer uses DAO, be sure to remove the reference to DAO.

Options

Available Drivers

Lists available drivers you can include. When you include a driver, a special file(s) is added to your distribution list to support the driver.

Included Drivers

Lists the drivers you are including in your package. You can use the buttons to include or remove driver(s) from this list.

Moves the selected driver(s) in the Available Drivers list to the Included Drivers list.

Moves all of the drivers in the Available Drivers list to the Included Drivers list.

Moves all of the drivers in the Included Drivers list to the Available Drivers list.

Moves the selected driver(s) in the Included Drivers list to Available Drivers list.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- Items to Deploy

Package and Deployment Wizard — Items to Deploy

Allows you to choose the files that you want to deploy from the project folder. If you want to include additional items that are not part of the package, such as a folder of graphics or related Web pages for your application, you can choose them on the Additional Files to Deploy screen.

This screen is available only when you have selected Web Publishing as your method of deployment on the Deployment Method screen.

Options

Items to Deploy

Displays a list of package files and folders you can deploy. Click the checkbox to the left of each file or folder that you want to include in the deployment.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the deployment portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.


Package and Deployment Wizard - Deployment Script

Allows you to choose a previously saved deployment script to use in your current deployment session. When the wizard applies the script you have chosen, all of your previous settings from the session in which the script was created are applied to your current session. This allows you to quickly deploy a package if you want to use similar or identical options. If you do not want to use an existing script, select None. When you finish deploying the package, your settings will be saved as a new script.

This screen will not be displayed if there are no previously saved deployment scripts for the current project.

Options

Deployment Script

Lists previously saved scripts for the current project. Select (None) if you do not want to use an existing script. The default is the last script that was run for the current project.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the deployment portion of the Package and Deployment Wizard.

Back

Moves you to the previous step. Not available.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.


Package and Deployment Wizard -- Deployment Method

Package and Deployment Wizard — Deployment Method

Allows you to choose the way you want to deploy the selected package.

Options

Deployment Type

Lists the types of deployments supported for the given package:

Folder — Deploys the package to the folder you indicate on a local or network drive.

Web Publishing — Deploys the package to a Web server via Web Publishing technology.

Floppy — Deploys the package to floppy disks. This option is only available when you have packaged your application into multiple .cab files.

Description

Describes the selected option.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the deployment portion of the Package and Deployment Wizard.

Back

Moves you to the previous step. Available only if there is more than one package which can be deployed for the current project.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.

Note If you chose a different deployment method from that specified in the script, the Finish button is unavailable because the new deployment method will require information not stored in the script.


Package and Deployment Wizard -- Install Locations

Package and Deployment Wizard — Install Locations

Allows you to change the location to which your project files will be installed on the end-user's computer. You can choose from a series of macros that indicate installation locations on the user's machine.

Options

Files List

Displays the name and current location of each file in the package, and the location where you want the file to be installed. Select a file in the table, then select a macro from the Install Locations column to indicate where the file should be installed.

When you move the mouse cursor over an entry in this list, a tooltip appears, listing the files for which the given file is needed or stating that the given file was manually added to the list.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard - Finished!

The Package and Deployment Wizard has collected the information necessary to begin deploying your package. When you click Finish, the Package and Deployment Wizard saves the settings you chose as a script.

Deployment scripts serve two purposes:

  • A script allows you to deploy the project again later, using the same settings.

  • A script allows you to deploy your project in silent mode. When you run the wizard in silent mode, you must give the wizard the name of a script that it should use.

For these reasons, you should assign your script a descriptive name that will make it easy to recognize later in the process.

Options

Script Name

Allows you to type the name with which you want to save the settings you chose. You can then reuse the settings the next time you deploy the same project.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the deployment portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Disabled in this step.

Finish

Deploys the package using the settings you selected and displays a report at the end of the process.


Package and Deployment Wizard - Floppy Drive

Allows you to select the floppy drive to which the wizard will write files. This screen is available only when you have selected Floppy Disk as your method of deployment on the Deployment Method screen.

Options

Floppy Drive

Allows you to select the floppy drive to which the wizard will write files.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.


Package and Deployment Wizard - Folder

Allows you to choose the folder on a local or network drive to which you want to deploy your package. This screen is available only when you have selected Folder as your method of deployment on the Deployment Method screen.

Options

Folder

Allows you to select the drive and directory to which you want to deploy your application.

Network

Allows you to browse to a network location to which you want to deploy your application.

New Folder

Allows you to create a new folder.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.


Package and Deployment Wizard -- Installation Title

Package and Deployment Wizard — Installation Title

Allows you to give a name to the installation. For example, you could call it My Project Installation. This name appears when a user runs the setup.exe program to install the project.

Options

Installation Title

Allows you to type the name you want to use.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- Package Type

Package and Deployment Wizard — Package Type

Allows you to choose the type of package you want to create.

Options

Package Type List

Lists the package types supported for the current project.

Standard Setup Package — Creates a package that will be installed by a setup.exe program.

Internet Package — Creates a cab-based installation package that will be installed by download from a Web site. You can select this option only for ActiveX-based projects.

Dependency File — Creates a file that lists information about the run-time components required by your application.

Description

Displays information about each package type.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step. Available only if there are previously saved packaging scripts for the current project.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.

Note If you chose a different package type from that specified in the script, the Finish button is unavailable because the new package type will require information not stored in the script.


Package and Deployment Wizard -- Packaging Script

Package and Deployment Wizard — Packaging Script

Allows you to choose a previously saved packaging script to use in your current packaging session. When the wizard applies the script you have chosen, all of your previous settings from the session in which the script was created are applied to your current session. This allows you to quickly build a package if you want to use similar or identical options. If you do not want to use an existing script, select None. When you finish building the package, your settings will be saved as a new script.

This screen will not be displayed if there are no previously saved packaging scripts for the current project.

Options

Packaging Script

Lists previously saved scripts for the current project and (None) if you do not want to use an existing script. The default is the last script that was run for the current project.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step. Not available.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- Registry Information

Package and Deployment Wizard — Registry Information

Lists the registry files in your package. You can choose how this information should be conveyed to the user's computer during installation. The wizard can simply copy the registration files to the user's machine, without performing the necessary registration, or it can extract the information from the registry files without copying the files to the user's computer and store it in the registry upon installation. The wizard can also do both.

This screen only appears if your package includes one or more .reg or .vbl files.

Options

Registration Files List

Displays the name and current location of each registry file, and provides columns in which you can indicate whether to copy the file to the user's computer, update the registry, or both. Make your selections by selecting a file in the table and choosing Yes or No from the Copy Files and Update Registry columns.

When you move the mouse cursor over an entry in this list, a tooltip appears, listing the files for which the given file is needed or stating that the given file was manually added to the list.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard - Cab Information

You can optionally package your dependency file into a cab file for distribution on the Web. Enter a name for the cab, a URL from which it can be retrieved, and the default file to execute when the cab is downloaded. The file to execute must be an .EXE or .INF file.

When you are working with dependency files, you should package and deploy your component, then create the necessary .dep file and deploy it.

Cab File Name

Enter the name of the cab file to create.

URL

Enter the full URL from which the .cab file can be retrieved.

File to Execute

Enter the name of an .inf or .exe file that the wizard should execute on the end-user's computer when the .cab file is downloaded.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- Web Publishing Site

Package and Deployment Wizard — Web Publishing Site

Allows you to specify information about the location to which you want to deploy your package. The information includes the URL of the site, the publishing method (HTTP Post, FTP, and so on), and whether or not the contents of .cab files should be unpacked and installed on the Web server.

This screen is available only when you have selected Web Publishing as your method of deployment on the Deployment Method screen.

Options

URL

Indicates the URL (uniform resource locator) of the Web site to which you want to send the package. For example, you might enter http://www.myserver.com.

Publishing Method

Indicates the protocol that will be used to send the package to the Web site.

Note If the URL and publishing method that you chose are not saved as a Web Publishing site, you will be asked if you want to save the information as a Web Publishing site when you click the Next or Finish button. If you choose to save the information, you will be prompted for a site name. Saving the information as a site has two advantages: it verifies that the information is valid, and it saves time in future deployments.

Unpack and Install Cabs on Server

When selected, unpacks the .cab files on the server, installing the contents. This option is unavailable for some publishing methods.

Note If you choose to unpack and install .cab files but the wizard has not successfully unpacked .cab files at this URL before, you will be asked if you want to verify the ability to unpack when you click Next or Finish. If you choose to verify, the wizard will attempt to unpack a sample .cab file on the server.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the deployment portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.


Manage Scripts Dialog Box

Manage Scripts Dialog Box (Package and Deployment Wizard)

Allows you to rename, duplicate, or delete selected package and deployment scripts in the current project.

Warning If you delete a packaging script, the deployment portion of the Package and Deployment Wizard will no longer recognize the package created from that script as one that it can deploy. You will have to recreate the package in order to be able to deploy it. Delete only those scripts you are certain you no longer need.

Options

Package Scripts Tab

Displays a list of the package scripts for the current project.

Deployment Scripts Tab

Displays a list of the deployment scripts for the current project.

Rename

Displays the Rename dialog box where you can give a new name to the selected script.

Duplicate

Creates a new script identical to the selected script and displays the Duplicate dialog box where you can give a name to the new script.

Delete

Allows you to delete the selected script.

Warning When you click this button, you will be prompted to confirm the deletion. If you confirm, the script will be deleted immediately. This deletion cannot be undone.

Close

Closes the dialog box.


Properties <Program Group Name> Dialog Box (Package and Deployment Wizard)

<Group Name> Properties Dialog Box (Package and Deployment Wizard)

Allows you to edit information about the selected Start menu group.

Options

Name

Indicates the name of the group as it will appear on the Start menu.

Private

Indicates that the group should be visible only to the user who installs the application. Applicable only to NT systems.

Common

Indicates that the group should be visible to all users on NT systems.

OK

Closes the dialog box and saves any changes you have made.

Cancel

Closes the dialog box without saving changes.

Help

Displays the help topic for this step. You can also press F1 for help.


Package and Deployment Wizard -- Remote Servers

Package and Deployment Wizard — Remote Servers

Allows you to provide or modify the settings necessary for the end user's machine to find and connect to a remote server. When end users install the package, they will be required to provide any information necessary for the connection that you did not enter here.

This screen only appears if your package includes one or more .vbr files. These and all included files are listed on the Included Files screen; they are either needed by your project, manually added to the package on the Included Files screen, or needed by another file in the package.

Options

Remote Servers List

Displays the name and current location of each .vbr file, and provides columns in which you can specify the necessary connection settings:

Net Address — The network address of the machine where the server application will be installed. If you leave this column blank, your users will be asked for this information when they install the package.

Connection Type — Choose whether your application uses DCOM (Distributed Component Object Model) or RA (Remote Automation) to access the remote component.

Protocol — Displays a list of the network protocols from which you can choose. Available only if you selected RA (Remote Automation) as the connection type. If you want the end user to supply the information, choose "(End user must specify)."

Authentication — Available only if you selected RA (Remote Automation) as the connection type. Required. For more information, see RPC Security in your Windows NT documentation.

When you move the mouse cursor over an entry in the remote servers list, a tooltip appears, listing the files for which the given file is needed or stating that the given file was manually added to the list.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- Safety Settings

Package and Deployment Wizard — Safety Settings

Lists the ActiveX objects in your project and lets you mark selected components as safe for initialization and/or safe for scripting.

  • If you mark a component as safe for scripting, no component should be able to access script in this component that could create, change, or delete arbitrary files, even temporary ones, or change system settings.

  • If you mark a component safe for initializing, initialization data should not be able to cause the component to create, change or delete arbitrary files, even temporary ones, or change system settings.

For Internet installations only. Making a component safe means that you claim it will not do harm to the end user’s machine.

By marking a component as safe for scripting or safe for initialization, you are guaranteeing that your component can never corrupt or cause undesirable behavior on an end user’s machine, even if used in a Web page that you yourself did not author. Marking a component as either safe for scripting or safe for initialization implies that you are accepting liability for this guarantee.

Note You must have your .cab files signed in order to take full advantage of these options. For more information about .cab files, see , "Downloading ActiveX Components" in the Building Internet Applications book of the Component Tools Guide.

Options

Objects

Lists the public ActiveX controls, classes, and documents within your project. Select the item you want to mark as safe, and then select Yes or No from the Safe for Scripting and Safe for Initialization columns.

Note Objects that implement the IObjectSafety interface are not listed on this screen. The IObjectSafety interface is a separate mechanism for marking an object as safe for initialization and/or scripting.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- CAB Options

Package and Deployment Wizard — Cab Options

Allows you to choose whether the wizard creates one large .cab file for your package or a series of smaller .cab files that break your package up into a series of manageable units. If you are planning to deploy using floppy disks, you must choose the Multiple Cabs option. If you are planning to deploy using any other method, you can choose Single Cab or Multiple Cabs, depending on your preferences.

Options

Single Cab

Copies all of the necessary files that must be installed for your application into a single .cab file.

Multiple Cabs

Copies your application's files into multiple, smaller .cab files of the size you indicate. Choose this option if you plan to deploy the package to floppy disks using the deployment part of the wizard.

Note You must choose the multiple cabs option in order to be able to deploy to floppy disks using the wizard. Even if your package will fit on a single floppy, you should still choose this option. In this case, the wizard will create only one .cab file.

Cab Size

Lists the available sizes the wizard can use when creating multiple .cab files. Make sure to select a size that matches the type of floppy disk you plan to use when you deploy your application.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard -- File Source

Package and Deployment Wizard — File Source

Allows you to specify the location from which an Internet package should retrieve necessary files during installation. When you choose to create an Internet package, the wizard creates a single .cab file, known as the primary .cab, that contains:

  • Your application's components, such as the ActiveX control, ActiveX DLL, or ActiveX EXE for the application.

  • The .inf file that contains installation information and links to other .cab files that contain other needed files and installation information.

  • Reserved space for digital signatures.

  • All files that are not in other .cab files.

Additional files needed for your application can be included in your primary .cab file, or they can be referenced through other, secondary .cabs. All run-time components such as msvbvm60.dll, custom controls, and data access components are packaged into separate .cab files, digitally signed by Microsoft, and placed on the Microsoft Web site. You can tell the package to retrieve such files from the .cab files on the Microsoft Web site or you can download the .cab files from the Microsoft Web site and tell the package to retrieve the run-time components from your local copies of the .cab files.

Options

Files

Displays a list of all of the files in your package. Select each file and set the retrieval options for it in the other columns of the table. You can indicate any of the following options by selecting the file and then selecting the appropriate radio button.

Include in this cab

Indicates that the related file should be packaged in the primary .cab for the application, rather than retrieved from another location.

Download from Microsoft Web site

Indicates that the file should be retrieved from a .cab file on the Microsoft Web site during the installation process.

Download from alternate cab

Indicates that the file should be retrieved from a .cab file found at an alternate location. You must enter the URL or UNC location where the .cab can be found, and the .cab name.

This information is placed in the .inf file. If you put invalid information in the Download from alternate .cab field, you can edit the .inf file that is located in the \Support directory and manually rebuild the .cab file using Makecab.exe or using the batch file (.bat) that is provided. See your ActiveX SDK for additional information.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Out of Date Dependencies Dialog Box

Out of Date Dependencies Dialog Box (Package and Deployment Wizard)

Lists the files in your project for which dependency information is out of date. The wizard determines if dependency information is out of date by comparing the version information in the .dep file to the version information in the component.

Note The version information in the dependent file must be an exact match. Either older or newer versions are considered out of date.

Outdated dependency information can cause your application to fail to work correctly after installation. You can continue, using the dependency information even though it is out of date, or you can resolve the out of date dependency information in one of several ways:

  • If the indicated file(s) comes from a third party, contact that party for updated dependency (.dep) files.

  • If the indicated file(s) is a Visual Basic component that you created, restart the Package and Deployment Wizard, select the project file for this component, and choose the Dependency File option on the Package Type screen. Continue through all the steps to create the dependency file, then restart the Package and Deployment Wizard and try packaging the current project again.

Options

Files With Out of Date Dependencies List

Lists the files that have dependency information that is out of date.

When you move the mouse cursor over an entry in this list, a tooltip appears, listing the files for which the given file is needed or stating that the given file was manually added to the list.

OK

Tells the Package and Deployment Wizard to proceed without resolving the dependency information for the selected file.

Cancel

Closes the dialog box and returns you to the appropriate screen. Choose this option if you want to exit the wizard and create a new dependency file for the necessary components, then re-run the packaging process for this project.

Help

Displays the help topic for this step. You can also press F1 for help.


Package and Deployment Wizard -- Shared Files

Package and Deployment Wizard — Shared Files

Determines which files to install as shared. A shared file is one that can be used by other applications on the user's machine. Such a file will not be removed when the end-user uninstalls your application if any other applications that use the file still exist on the computer.

The system determines the files that can be shared by looking at the installation location you have indicated. Any files can be shared except those that are installed as system files. All files that are not marked to be installed into the $(WinSysPathSysFile) directory have the potential to be shared.

Options

Shared Files List

Displays the name, source location on your computer, and install location of any files that are capable of being shared. The file that is highlighted when you open this screen is the main project executable file. Select the files you want to install as shared by clicking the check box to the left of each file name.

When you move the mouse cursor over an entry in this list, a tooltip appears, listing the files for which the given file is needed or stating that the given file was manually added to the list.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the packaging portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Creates a package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully create a package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to create the package.


Package and Deployment Wizard - Additional Files to Deploy

Allows you to choose additional files or folders you want to deploy that were not part of the original package. If you want to include additional items that are not part of the package, such as a folder of graphics or related Web pages for your application, you can choose them on the Additional Files to Deploy screen.

This screen is available only when you have selected Web Publishing as your method of deployment on the Deployment Method screen.

Options

Items to Deploy

Displays a list of files and folders in the project directory that were not included in the package. You can choose to deploy any of these files along with the package. Click the checkbox to the left of each file or folder that you want to include in the deployment.

Help

Displays the help topic for this step. You can also press F1 for help.

Cancel

Cancels your previous actions and closes the deployment portion of the Package and Deployment Wizard.

Back

Moves you to the previous step.

Next

Moves you to the next step.

Finish

Deploys your package using the settings you selected and displays a report at the end of the process. Available only when you have provided enough information for the Package and Deployment Wizard to successfully deploy the package.

If you chose a pre-existing script, the Finish button is available because the Package and Deployment Wizard assumes that the script contains all of the information needed to deploy the package.